!---------------------------------------------------------
!
!  Automaticaly generated MMS description file.
!
!  Install private stuff after the "User area" flag.
!
!---------------------------------------------------------

src = CMSRC:
mgr = CMMGR:
bin = CMBIN:

cflags = $(CFLAGS)
cc     = cc
link   = link
comp   = $(cc) /include=($(src)) $(cflags)
ar     = lib/replace

!all ::
!	write sys$output "all ok"
!
!clean ::
!	write sys$output "clean done"


!====================================
!  Package Cm
!====================================


Cmlib        = $(bin)Cm.olb
Cmshlibflags =

Cm : $(bin)Cms.exe
	write sys$output "Cm ok"

$(bin)Cms.exe : $(Cmlib)
	@methodsmgr:make_shlib.com Cm $(Cmshlibflags)
	write sys$output "Cm ok"


$(Cmlib) : $(bin)Cm(CmConnect) $(bin)Cm(CmMessage) $(bin)Cm(Cvt)
	write sys$output "Cm : library ok"

$(bin)Cm(CmConnect) : $(src)CmConnect.c $(src)CmConnectP.h $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph
	$(comp) /obj=$(bin) $(src)CmConnect.c
	if f$search("$(Cmlib)") .eqs. "" then lib/cre $(Cmlib)
	$(ar) $(Cmlib) $(bin)CmConnect
	del $(bin)CmConnect.obj;

$(bin)Cm(CmMessage) : $(src)CmMessage.c $(src)CmMessage.h $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph $(src)CmMessage.ph $(src)Cvt.h $(src)CmConnectP.h $(src)CmConnect.h
	$(comp) /obj=$(bin) $(src)CmMessage.c
	if f$search("$(Cmlib)") .eqs. "" then lib/cre $(Cmlib)
	$(ar) $(Cmlib) $(bin)CmMessage
	del $(bin)CmMessage.obj;

$(bin)Cm(Cvt) : $(src)Cvt.c $(src)Cvt.h $(src)Cvt.ph
	$(comp) /obj=$(bin) $(src)Cvt.c
	if f$search("$(Cmlib)") .eqs. "" then lib/cre $(Cmlib)
	$(ar) $(Cmlib) $(bin)Cvt
	del $(bin)Cvt.obj;


!====================================
!  Package CmXt
!====================================


CmXtlib        = $(bin)CmXt.olb
CmXtshlibflags =

CmXt : $(bin)CmXts.exe
	write sys$output "CmXt ok"

$(bin)CmXts.exe : $(CmXtlib)
	@methodsmgr:make_shlib.com CmXt $(CmXtshlibflags)
	write sys$output "CmXt ok"


$(CmXtlib) : $(bin)CmXt(CmXt)
	write sys$output "CmXt : library ok"

$(bin)CmXt(CmXt) : $(src)CmXt.c $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph
	$(comp) /obj=$(bin) $(src)CmXt.c
	if f$search("$(CmXtlib)") .eqs. "" then lib/cre $(CmXtlib)
	$(ar) $(CmXtlib) $(bin)CmXt
	del $(bin)CmXt.obj;


!====================================
!  Package CmOnx
!====================================


CmOnxlib        = $(bin)CmOnx.olb
CmOnxshlibflags =

CmOnx : $(bin)CmOnxs.exe
	write sys$output "CmOnx ok"

$(bin)CmOnxs.exe : $(CmOnxlib)
	@methodsmgr:make_shlib.com CmOnx $(CmOnxshlibflags)
	write sys$output "CmOnx ok"


$(CmOnxlib) : $(bin)CmOnx(CmOnx) $(bin)CmOnx(CmStdin) $(bin)CmOnx(CmSwitch)
	write sys$output "CmOnx : library ok"

$(bin)CmOnx(CmOnx) : $(src)CmOnx.c $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph
	$(comp) /obj=$(bin) $(src)CmOnx.c
	if f$search("$(CmOnxlib)") .eqs. "" then lib/cre $(CmOnxlib)
	$(ar) $(CmOnxlib) $(bin)CmOnx
	del $(bin)CmOnx.obj;

$(bin)CmOnx(CmStdin) : $(src)CmStdin.c $(src)CmMessage.h $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph $(src)CmMessage.ph $(src)CmConnect.h
	$(comp) /obj=$(bin) $(src)CmStdin.c
	if f$search("$(CmOnxlib)") .eqs. "" then lib/cre $(CmOnxlib)
	$(ar) $(CmOnxlib) $(bin)CmStdin
	del $(bin)CmStdin.obj;

$(bin)CmOnx(CmSwitch) : $(src)CmSwitch.c $(src)CmMessage.h $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph $(src)CmMessage.ph
	$(comp) /obj=$(bin) $(src)CmSwitch.c
	if f$search("$(CmOnxlib)") .eqs. "" then lib/cre $(CmOnxlib)
	$(ar) $(CmOnxlib) $(bin)CmSwitch
	del $(bin)CmSwitch.obj;


!====================================
!  Executable NameServer
!====================================


NameServerlinkopts =
NameServerstamps =

NameServer : $(bin)NameServer.exe
	write sys$output "NameServer ok"


$(bin)NameServer.exe : $(bin)NameServer.obj $(NameServerstamps)
	$(link) /exe=$(bin)NameServer.exe $(bin)NameServer.obj $(NameServerlinkopts)

$(bin)NameServer.obj : $(src)NameServer.c $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph
	$(comp) /obj=$(bin) $(src)NameServer.c


!====================================
!  Executable AskNameServer
!====================================


AskNameServerlinkopts =
AskNameServerstamps =

AskNameServer : $(bin)AskNameServer.exe
	write sys$output "AskNameServer ok"


$(bin)AskNameServer.exe : $(bin)AskNameServer.obj $(AskNameServerstamps)
	$(link) /exe=$(bin)AskNameServer.exe $(bin)AskNameServer.obj $(AskNameServerlinkopts)

$(bin)AskNameServer.obj : $(src)AskNameServer.c $(src)CmConnect.h $(src)Cvt.h $(src)Cvt.ph $(src)CmConnect.ph
	$(comp) /obj=$(bin) $(src)AskNameServer.c


!====================================
!  Executable test
!====================================


testlinkopts =
teststamps =

test : $(bin)test.exe
	write sys$output "test ok"


$(bin)test.exe : $(bin)test.obj $(teststamps)
	$(link) /exe=$(bin)test.exe $(bin)test.obj $(testlinkopts)

$(bin)test.obj : $(src)test.c $(src)CmMessage.h $(src)CmConnect.h $(src)Cvt.h $(src)CmConnect.ph $(src)CmMessage.ph $(src)CmConnect.h
	$(comp) /obj=$(bin) $(src)test.c

!--- User area -----------------------------------=

all :: Xdr Cm NameServer AskNameServer test
	write sys$output "all ok"

clean :: Cmclean CmXtclean CmOnxclean
	write sys$output "all cleaned."

Xdr : $(bin)Cm(Xdr)
        write sys$output "test ok"

$(bin)Cm(Xdr) : $(src)Xdr.c $(src)Xdr.h
        $(comp) /obj=$(bin) $(src)Xdr.c
        if f$search("$(Cmlib)") .eqs. "" then lib/cre $(Cmlib)
        $(ar) $(Cmlib) $(bin)Xdr
        del $(bin)Xdr.obj;

!--- End of user area ----------------------------=
